Skip to main content
GET
Get All Authorizations

Authorizations

Authorization
string
header
required

Payaza {{Public API Key in Base 64}}

Query Parameters

status
string
default:AUTHORIZED

Authorization status to filter results (e.g. AUTHORIZED, PENDING, FAILED).

from_date
string
default:2025-01-01

Start date for filtering records, in YYYY-MM-DD format.

to_date
string
default:2026-03-01 00:00:00

End date for filtering records, in YYYY-MM-DD format.

page
integer
default:1

Page number for paginated results.

size
integer
default:10

The number of records to return per page.

Response

Get All Authorizations Response

status
string | null

Error status (present in error responses).

Example:

"ERROR"

message
string | null

Error message details (present in error responses).

Example:

"Invalid date format. Use ISO 8601 format (e.g., 2024-01-01T00:00:00)"

authorizations
object[]

List of authorization records.

page
integer

Current page index (0-based).

Example:

0

size
integer

Number of items per page.

Example:

20

total_elements
integer

Total number of authorization records found.

Example:

1

total_pages
integer

Total number of pages available.

Example:

1

has_next
boolean

Indicates if there is a next page.

Example:

false

has_previous
boolean

Indicates if there is a previous page.

Example:

false